# Class GSPlay

java.lang.Object
GSPlay

public class GSPlay extends Object
Classe GSPlay pour jouer au Sudoku.

## Constructor Summary

Constructors
Constructor
Description
`GSPlay(Window window, GSGrid grille)`
Constructeur de la classe GSPlay.

## Method Summary

Modifier and Type
Method
Description
`Button`
`getBoutonValider()`
Méthode pour obtenir le bouton valider.
`int`
`getKeyValue(KeyEvent e)`
Méthode pour obtenir la valeur associée à une touche.
`GSGrid`
`getMaGrille()`
Méthode pour obtenir la grille jouer
`long`
`getStartTime()`
Méthode pour obtenir le temps de démarrage du jeu.
`Boolean`
`isGameOver()`
Méthode pour vérifier si le jeu est terminé.
`void`
`showGame()`
Méthode pour afficher la fenêtre de jeu.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSPlay

public GSPlay(Window window, GSGrid grille)
Constructeur de la classe GSPlay.

Parameters:
  `grille` - La grille de Sudoku.
  `frame` - La fenêtre principale.

## Method Details

### showGame

public void showGame()
Méthode pour afficher la fenêtre de jeu.

### getKeyValue

public int getKeyValue(KeyEvent e)
Méthode pour obtenir la valeur associée à une touche.

Parameters:
  `e` - L'événement KeyEvent associé à la touche.
Returns:
  La valeur correspondante à la touche ou -1 si aucune correspondance.

### isGameOver

public Boolean isGameOver()
Méthode pour vérifier si le jeu est terminé.

Returns:
  true si le jeu est terminé, sinon false.

### getBoutonValider

public Button getBoutonValider()
Méthode pour obtenir le bouton valider.

Returns:
  le bouton valider

### getMaGrille

public GSGrid getMaGrille()
Méthode pour obtenir la grille jouer

Returns:
  la grille

### getStartTime

public long getStartTime()
Méthode pour obtenir le temps de démarrage du jeu.

Returns:
  Le temps de démarrage du jeu.